For the latest news and information visit The GNU Crypto project

## gnu.crypto.sasl
Interface IAuthInfoProviderFactory

All Known Implementing Classes:
  AuthInfoProviderFactory

public interface IAuthInfoProviderFactory

The visible method of every authentication information provider factory.

Method Summary
`IAuthInfoProvider` `getInstance(java.lang.String mechanism)` Returns an implementation of a provider for a designated mechanism capable of honouring `IAuthInfoProvider` requests.

Method Detail

### getInstance

    public IAuthInfoProvider getInstance(java.lang.String mechanism)

  Returns an implementation of a provider for a designated mechanism capable of honouring `IAuthInfoProvider` requests.

  Parameters:
    `mechanism` - the unique name of a mechanism.
  Returns:
    an implementation of `IAuthInfoProvider` for that mechanism or `null` if none found.

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.